Package org.apache.jasper.util

## Class FastRemovalDequeue.Entry

- java.lang.Object
- - org.apache.jasper.util.FastRemovalDequeue.Entry

Enclosing class:
  FastRemovalDequeue<T>

    public class FastRemovalDequeue.Entry
    extends java.lang.Object

Implementation of a doubly linked list entry. All implementation details are private. For the consumer of the above collection, this is simply garbage in, garbage out.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clearReplaced()`
`T` `getContent()`
`T` `getReplaced()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### getContent

    public final T getContent()

#### getReplaced

    public final T getReplaced()

#### clearReplaced

    public final void clearReplaced()

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`